- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends

# QSQLite2Result Class Reference

Search for all occurrences

## Detailed Description

Definition at line 65 of file qsql_sqlite2.h.

`#include <qsql_sqlite2.h>`

List of all members.

## Public Member Functions
| QSQLite2Result (const QSQLite2Driver *db)
| ~QSQLite2Result ()
QVariant | handle () const
## Protected Member Functions
bool | gotoNext (QSqlCachedResult::ValueCache &row, int idx)
bool | reset (const QString &query)
int | size ()
int | numRowsAffected ()
QSqlRecord | record () const
void | virtual_hook (int id, void *data)
## Friends
class | QSQLite2Driver
class | QSQLite2ResultPrivate

## Constructor & Destructor Documentation

QSQLite2Result | ( | const QSQLite2Driver * | db | ) | `[explicit]`

~QSQLite2Result | ( |  | ) |

## Member Function Documentation

QVariant handle | ( |  | ) | const

Search for all occurrences

bool gotoNext | ( | QSqlCachedResult::ValueCache & | row,
|  | int | idx
| ) |  | `[protected]`

Search for all occurrences

bool reset | ( | const QString & | query | ) | `[protected]`

Search for all occurrences

int size | ( |  | ) | `[protected]`

Search for all occurrences

int numRowsAffected | ( |  | ) | `[protected]`

Search for all occurrences

QSqlRecord record | ( |  | ) | const `[protected]`

Search for all occurrences

void virtual_hook | ( | int | id,
|  | void * | data
| ) |  | `[protected]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QSQLite2Driver `[friend]`

Search for all occurrences

Definition at line 67 of file qsql_sqlite2.h.

friend class QSQLite2ResultPrivate `[friend]`

Search for all occurrences

Definition at line 68 of file qsql_sqlite2.h.

The documentation for this class was generated from the following file:

- QtSql/qsql_sqlite2.h

QSQLite2Result QSQLite2Result QSQLite2Result QSQLite2Result QSQLite2Result QSQLite2Result QSQLite2Result QSQLite2Result QSQLite2Result QSQLite2Result
QSQLite2Result QSQLite2Result QSQLite2Result QSQLite2Result QSQLite2Result QSQLite2Result QSQLite2Result QSQLite2Result QSQLite2Result QSQLite2Result